# Torch RBM API

# rbms

## rbms.classes
```{eval-rst}
.. automodule:: rbms.classes
   :members:
   :undoc-members:
   :show-inheritance:
```

## rbms.const
```{eval-rst}
.. automodule:: rbms.const
   :members:
   :undoc-members:
   :show-inheritance:
```

## rbms.custom_fn
```{eval-rst}
.. automodule:: rbms.custom_fn
   :members:
   :undoc-members:
   :show-inheritance:
```

## rbms.parser
```{eval-rst}
.. automodule:: rbms.classes
   :members:
   :undoc-members:
   :show-inheritance:
```

## rbms.plot
```{eval-rst}
.. automodule:: rbms.plot
   :members:
   :undoc-members:
   :show-inheritance:
```
## rbms.utils
```{eval-rst}
.. automodule:: rbms.utils
   :members:
   :undoc-members:
   :show-inheritance:
```




## rbms.bernoulli_bernoulli
This submodule handles methods and classes specific to Bernoulli-Bernoulli RBM 

### rbms.bernoulli_bernoulli.classes
```{eval-rst}
.. automodule:: rbms.bernoulli_bernoulli.classes
   :members:
   :undoc-members:
   :show-inheritance:
```

### rbms.bernoulli_bernoulli.functional

```{eval-rst}
.. automodule:: rbms.bernoulli_bernoulli.functional
   :members:
   :undoc-members:
   :show-inheritance:
```

### rbms.bernoulli_bernoulli.utils

```{eval-rst}
.. automodule:: rbms.bernoulli_bernoulli.train
   :members:
   :undoc-members:
   :show-inheritance:
```

## rbms.dataset
This submodule handles the RBMDataset class for FASTA and HDF5 files.

### rbms.dataset.dataset_class
```{eval-rst}
.. automodule:: rbms.dataset.dataset_class
   :members:
   :undoc-members:
   :show-inheritance:
```

### rbms.dataset.fasta_utils
```{eval-rst}
.. automodule:: rbms.dataset.fasta_utils
   :members:
   :undoc-members:
   :show-inheritance:
```
### rbms.dataset.load_fasta
```{eval-rst}
.. automodule:: rbms.dataset.load_fasta
   :members:
   :undoc-members:
   :show-inheritance:
```
### rbms.dataset.load_h5
```{eval-rst}
.. automodule:: rbms.dataset.load_h5
   :members:
   :undoc-members:
   :show-inheritance:
```
### rbms.dataset.utils
```{eval-rst}
.. automodule:: rbms.dataset.utils
   :members:
   :undoc-members:
   :show-inheritance:
```

## rbms.potts_bernoulli
This submodule handles methods and classes specific to Potts-Bernoulli RBM 

### rbms.potts_bernoulli.classes
```{eval-rst}
.. automodule:: rbms.potts_bernoulli.classes
   :members:
   :undoc-members:
   :show-inheritance:
```

### rbms.potts_bernoulli.functional

```{eval-rst}
.. automodule:: rbms.potts_bernoulli.functional
   :members:
   :undoc-members:
   :show-inheritance:
```

### rbms.potts_bernoulli.utils

```{eval-rst}
.. automodule:: rbms.potts_bernoulli.train
   :members:
   :undoc-members:
   :show-inheritance:
```